<?php
/**
 * TOP API: alibaba.alihealth.drug.download.getproductxml request
 * 
 * @author auto create
 * @since 1.0, 2022.09.19
 */
class AlibabaAlihealthDrugDownloadGetproductxmlRequest
{
	/** 
	 * appKey
	 **/
	private $appKeyN;
	
	/** 
	 * 企业名称
	 **/
	private $entName;
	
	private $apiParas = array();
	
	public function setAppKeyN($appKeyN)
	{
		$this->appKeyN = $appKeyN;
		$this->apiParas["app_key_n"] = $appKeyN;
	}

	public function getAppKeyN()
	{
		return $this->appKeyN;
	}

	public function setEntName($entName)
	{
		$this->entName = $entName;
		$this->apiParas["ent_name"] = $entName;
	}

	public function getEntName()
	{
		return $this->entName;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.download.getproductxml";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->appKeyN,"appKeyN");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
